commit: 7f5848e0a74dcdf5125e2c752d602d495fcdcbd9
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 8 06:55:43 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Feb 9 16:46:44 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f5848e0
net-p2p/deluge: Switch to PYTHON_MULTI_USEDEP API
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
...ge-1.3.15-r2.ebuild => deluge-1.3.15-r5.ebuild} | 46 ++++++++++----------
...ge-1.3.15-r3.ebuild => deluge-1.3.15-r6.ebuild} | 49 ++++++++++++----------
...ge-1.3.15-r4.ebuild => deluge-1.3.15-r7.ebuild} | 49 ++++++++++++----------
net-p2p/deluge/deluge-1.3.9999.ebuild | 49 ++++++++++++----------
...luge-2.0.3-r2.ebuild => deluge-2.0.3-r4.ebuild} | 49 ++++++++++++----------
...luge-2.0.3-r3.ebuild => deluge-2.0.3-r5.ebuild} | 49 ++++++++++++----------
net-p2p/deluge/deluge-9999.ebuild | 49 ++++++++++++----------
7 files changed, 187 insertions(+), 153 deletions(-)
diff --git a/net-p2p/deluge/deluge-1.3.15-r2.ebuild
b/net-p2p/deluge/deluge-1.3.15-r5.ebuild
similarity index 81%
rename from net-p2p/deluge/deluge-1.3.15-r2.ebuild
rename to net-p2p/deluge/deluge-1.3.15-r5.ebuild
index f49c58d5c41..61514eb8e1d 100644
--- a/net-p2p/deluge/deluge-1.3.15-r2.ebuild
+++ b/net-p2p/deluge/deluge-1.3.15-r5.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
@@ -34,30 +34,34 @@ PATCHES=(
"${FILESDIR}/${PN}-1.3.15-r1-fix-preferences-ui.patch"
)
-CDEPEND="net-libs/libtorrent-rasterbar[python,${PYTHON_USEDEP}]"
+CDEPEND="
+ $(python_gen_cond_dep '
+ net-libs/libtorrent-rasterbar[python,${PYTHON_MULTI_USEDEP}]
+ ')"
DEPEND="${CDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]
dev-util/intltool"
RDEPEND="${CDEPEND}
- dev-python/chardet[${PYTHON_USEDEP}]
- dev-python/pyopenssl[${PYTHON_USEDEP}]
- dev-python/pyxdg[${PYTHON_USEDEP}]
- dev-python/setproctitle[${PYTHON_USEDEP}]
- || ( >=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
- (
- >=dev-python/twisted-core-13.0[${PYTHON_USEDEP}]
- >=dev-python/twisted-web-13.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/chardet[${PYTHON_MULTI_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_MULTI_USEDEP}]
+ dev-python/pyxdg[${PYTHON_MULTI_USEDEP}]
+ dev-python/setproctitle[${PYTHON_MULTI_USEDEP}]
+ || ( >=dev-python/twisted-16.0.0[${PYTHON_MULTI_USEDEP}]
+ (
+ >=dev-python/twisted-core-13.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/twisted-web-13.0[${PYTHON_MULTI_USEDEP}]
+ )
)
- )
- geoip? ( dev-python/geoip-python[${PYTHON_USEDEP}] )
- gtk? (
- sound? ( dev-python/pygame[${PYTHON_USEDEP}] )
- dev-python/pygobject:2[${PYTHON_USEDEP}]
- >=dev-python/pygtk-2.12[${PYTHON_USEDEP}]
- gnome-base/librsvg
- libnotify? ( dev-python/notify-python[${PYTHON_USEDEP}] )
- )
- webinterface? ( dev-python/mako[${PYTHON_USEDEP}] )"
+ geoip? ( dev-python/geoip-python[${PYTHON_MULTI_USEDEP}] )
+ gtk? (
+ sound? ( dev-python/pygame[${PYTHON_MULTI_USEDEP}] )
+ dev-python/pygobject:2[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/pygtk-2.12[${PYTHON_MULTI_USEDEP}]
+ gnome-base/librsvg
+ libnotify? (
dev-python/notify-python[${PYTHON_MULTI_USEDEP}] )
+ )
+ webinterface? ( dev-python/mako[${PYTHON_MULTI_USEDEP}] )
+ ')"
python_prepare_all() {
local args=(
diff --git a/net-p2p/deluge/deluge-1.3.15-r3.ebuild
b/net-p2p/deluge/deluge-1.3.15-r6.ebuild
similarity index 78%
rename from net-p2p/deluge/deluge-1.3.15-r3.ebuild
rename to net-p2p/deluge/deluge-1.3.15-r6.ebuild
index d3ef7813a7a..f044210962a 100644
--- a/net-p2p/deluge/deluge-1.3.15-r3.ebuild
+++ b/net-p2p/deluge/deluge-1.3.15-r6.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
@@ -33,29 +33,34 @@ PATCHES=(
"${FILESDIR}/${PN}-1.3.15-r1-fix-preferences-ui.patch"
)
-DEPEND="<net-libs/libtorrent-rasterbar-1.2[python,${PYTHON_USEDEP}]
- dev-python/setuptools[${PYTHON_USEDEP}]
+DEPEND="
+ $(python_gen_cond_dep '
+
<net-libs/libtorrent-rasterbar-1.2[python,${PYTHON_MULTI_USEDEP}]
+ ')
dev-util/intltool"
-RDEPEND="<net-libs/libtorrent-rasterbar-1.2[python,${PYTHON_USEDEP}]
- dev-python/chardet[${PYTHON_USEDEP}]
- dev-python/pyopenssl[${PYTHON_USEDEP}]
- dev-python/pyxdg[${PYTHON_USEDEP}]
- dev-python/setproctitle[${PYTHON_USEDEP}]
- || ( >=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
- (
- >=dev-python/twisted-core-13.0[${PYTHON_USEDEP}]
- >=dev-python/twisted-web-13.0[${PYTHON_USEDEP}]
+RDEPEND="
+ $(python_gen_cond_dep '
+
<net-libs/libtorrent-rasterbar-1.2[python,${PYTHON_MULTI_USEDEP}]
+ dev-python/chardet[${PYTHON_MULTI_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_MULTI_USEDEP}]
+ dev-python/pyxdg[${PYTHON_MULTI_USEDEP}]
+ dev-python/setproctitle[${PYTHON_MULTI_USEDEP}]
+ || ( >=dev-python/twisted-16.0.0[${PYTHON_MULTI_USEDEP}]
+ (
+ >=dev-python/twisted-core-13.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/twisted-web-13.0[${PYTHON_MULTI_USEDEP}]
+ )
)
- )
- geoip? ( dev-python/geoip-python[${PYTHON_USEDEP}] )
- gtk? (
- sound? ( dev-python/pygame[${PYTHON_USEDEP}] )
- dev-python/pygobject:2[${PYTHON_USEDEP}]
- >=dev-python/pygtk-2.12[${PYTHON_USEDEP}]
- gnome-base/librsvg
- libnotify? ( dev-python/notify-python[${PYTHON_USEDEP}] )
- )
- webinterface? ( dev-python/mako[${PYTHON_USEDEP}] )"
+ geoip? ( dev-python/geoip-python[${PYTHON_MULTI_USEDEP}] )
+ gtk? (
+ sound? ( dev-python/pygame[${PYTHON_MULTI_USEDEP}] )
+ dev-python/pygobject:2[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/pygtk-2.12[${PYTHON_MULTI_USEDEP}]
+ gnome-base/librsvg
+ libnotify? (
dev-python/notify-python[${PYTHON_MULTI_USEDEP}] )
+ )
+ webinterface? ( dev-python/mako[${PYTHON_MULTI_USEDEP}] )
+ ')"
python_prepare_all() {
local args=(
diff --git a/net-p2p/deluge/deluge-1.3.15-r4.ebuild
b/net-p2p/deluge/deluge-1.3.15-r7.ebuild
similarity index 78%
rename from net-p2p/deluge/deluge-1.3.15-r4.ebuild
rename to net-p2p/deluge/deluge-1.3.15-r7.ebuild
index d938267bcd8..13817ba74ca 100644
--- a/net-p2p/deluge/deluge-1.3.15-r4.ebuild
+++ b/net-p2p/deluge/deluge-1.3.15-r7.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
@@ -32,31 +32,36 @@ PATCHES=(
"${FILESDIR}/${PN}-1.3.15-r1-fix-preferences-ui.patch"
)
-DEPEND="<net-libs/libtorrent-rasterbar-1.2[python,${PYTHON_USEDEP}]
- dev-python/setuptools[${PYTHON_USEDEP}]
+DEPEND="
+ $(python_gen_cond_dep '
+
<net-libs/libtorrent-rasterbar-1.2[python,${PYTHON_MULTI_USEDEP}]
+ ')
dev-util/intltool
acct-group/deluge
acct-user/deluge"
-RDEPEND="<net-libs/libtorrent-rasterbar-1.2[python,${PYTHON_USEDEP}]
- dev-python/chardet[${PYTHON_USEDEP}]
- dev-python/pyopenssl[${PYTHON_USEDEP}]
- dev-python/pyxdg[${PYTHON_USEDEP}]
- dev-python/setproctitle[${PYTHON_USEDEP}]
- || ( >=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
- (
- >=dev-python/twisted-core-13.0[${PYTHON_USEDEP}]
- >=dev-python/twisted-web-13.0[${PYTHON_USEDEP}]
+RDEPEND="
+ $(python_gen_cond_dep '
+
<net-libs/libtorrent-rasterbar-1.2[python,${PYTHON_MULTI_USEDEP}]
+ dev-python/chardet[${PYTHON_MULTI_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_MULTI_USEDEP}]
+ dev-python/pyxdg[${PYTHON_MULTI_USEDEP}]
+ dev-python/setproctitle[${PYTHON_MULTI_USEDEP}]
+ || ( >=dev-python/twisted-16.0.0[${PYTHON_MULTI_USEDEP}]
+ (
+ >=dev-python/twisted-core-13.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/twisted-web-13.0[${PYTHON_MULTI_USEDEP}]
+ )
)
- )
- geoip? ( dev-python/geoip-python[${PYTHON_USEDEP}] )
- gtk? (
- sound? ( dev-python/pygame[${PYTHON_USEDEP}] )
- dev-python/pygobject:2[${PYTHON_USEDEP}]
- >=dev-python/pygtk-2.12[${PYTHON_USEDEP}]
- gnome-base/librsvg
- libnotify? ( dev-python/notify-python[${PYTHON_USEDEP}] )
- )
- webinterface? ( dev-python/mako[${PYTHON_USEDEP}] )"
+ geoip? ( dev-python/geoip-python[${PYTHON_MULTI_USEDEP}] )
+ gtk? (
+ sound? ( dev-python/pygame[${PYTHON_MULTI_USEDEP}] )
+ dev-python/pygobject:2[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/pygtk-2.12[${PYTHON_MULTI_USEDEP}]
+ gnome-base/librsvg
+ libnotify? (
dev-python/notify-python[${PYTHON_MULTI_USEDEP}] )
+ )
+ webinterface? ( dev-python/mako[${PYTHON_MULTI_USEDEP}] )
+ ')"
python_prepare_all() {
local args=(
diff --git a/net-p2p/deluge/deluge-1.3.9999.ebuild
b/net-p2p/deluge/deluge-1.3.9999.ebuild
index 1be3b571988..af10c260e9f 100644
--- a/net-p2p/deluge/deluge-1.3.9999.ebuild
+++ b/net-p2p/deluge/deluge-1.3.9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
@@ -33,31 +33,36 @@ PATCHES=(
"${FILESDIR}/${PN}-1.3.5-disable_libtorrent_internal_copy.patch"
)
-DEPEND="<net-libs/libtorrent-rasterbar-1.2[python,${PYTHON_USEDEP}]
- dev-python/setuptools[${PYTHON_USEDEP}]
+DEPEND="
+ $(python_gen_cond_dep '
+
<net-libs/libtorrent-rasterbar-1.2[python,${PYTHON_MULTI_USEDEP}]
+ ')
dev-util/intltool
acct-group/deluge
acct-user/deluge"
-RDEPEND="<net-libs/libtorrent-rasterbar-1.2[python,${PYTHON_USEDEP}]
- dev-python/chardet[${PYTHON_USEDEP}]
- dev-python/pyopenssl[${PYTHON_USEDEP}]
- dev-python/pyxdg[${PYTHON_USEDEP}]
- dev-python/setproctitle[${PYTHON_USEDEP}]
- || ( >=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
- (
- >=dev-python/twisted-core-13.0[${PYTHON_USEDEP}]
- >=dev-python/twisted-web-13.0[${PYTHON_USEDEP}]
+RDEPEND="
+ $(python_gen_cond_dep '
+
<net-libs/libtorrent-rasterbar-1.2[python,${PYTHON_MULTI_USEDEP}]
+ dev-python/chardet[${PYTHON_MULTI_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_MULTI_USEDEP}]
+ dev-python/pyxdg[${PYTHON_MULTI_USEDEP}]
+ dev-python/setproctitle[${PYTHON_MULTI_USEDEP}]
+ || ( >=dev-python/twisted-16.0.0[${PYTHON_MULTI_USEDEP}]
+ (
+ >=dev-python/twisted-core-13.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/twisted-web-13.0[${PYTHON_MULTI_USEDEP}]
+ )
)
- )
- geoip? ( dev-python/geoip-python[${PYTHON_USEDEP}] )
- gtk? (
- sound? ( dev-python/pygame[${PYTHON_USEDEP}] )
- dev-python/pygobject:2[${PYTHON_USEDEP}]
- >=dev-python/pygtk-2.12[${PYTHON_USEDEP}]
- gnome-base/librsvg
- libnotify? ( dev-python/notify-python[${PYTHON_USEDEP}] )
- )
- webinterface? ( dev-python/mako[${PYTHON_USEDEP}] )"
+ geoip? ( dev-python/geoip-python[${PYTHON_MULTI_USEDEP}] )
+ gtk? (
+ sound? ( dev-python/pygame[${PYTHON_MULTI_USEDEP}] )
+ dev-python/pygobject:2[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/pygtk-2.12[${PYTHON_MULTI_USEDEP}]
+ gnome-base/librsvg
+ libnotify? (
dev-python/notify-python[${PYTHON_MULTI_USEDEP}] )
+ )
+ webinterface? ( dev-python/mako[${PYTHON_MULTI_USEDEP}] )
+ ')"
python_prepare_all() {
local args=(
diff --git a/net-p2p/deluge/deluge-2.0.3-r2.ebuild
b/net-p2p/deluge/deluge-2.0.3-r4.ebuild
similarity index 77%
rename from net-p2p/deluge/deluge-2.0.3-r2.ebuild
rename to net-p2p/deluge/deluge-2.0.3-r4.ebuild
index f3c58d701a9..cf9714d1618 100644
--- a/net-p2p/deluge/deluge-2.0.3-r2.ebuild
+++ b/net-p2p/deluge/deluge-2.0.3-r4.ebuild
@@ -27,31 +27,36 @@ REQUIRED_USE="
sound? ( gtk )
"
-DEPEND="net-libs/libtorrent-rasterbar[python,${PYTHON_USEDEP}]
- dev-python/setuptools[${PYTHON_USEDEP}]
+DEPEND="
+ $(python_gen_cond_dep '
+ net-libs/libtorrent-rasterbar[python,${PYTHON_MULTI_USEDEP}]
+ dev-python/wheel[${PYTHON_MULTI_USEDEP}]
+ ')
dev-util/intltool
- dev-python/wheel[${PYTHON_USEDEP}]
acct-group/deluge
acct-user/deluge"
-RDEPEND="dev-python/chardet[${PYTHON_USEDEP}]
- dev-python/distro[${PYTHON_USEDEP}]
- dev-python/pillow[${PYTHON_USEDEP}]
- dev-python/pyopenssl[${PYTHON_USEDEP}]
- dev-python/pyxdg[${PYTHON_USEDEP}]
- dev-python/rencode[${PYTHON_USEDEP}]
- dev-python/setproctitle[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
- >=dev-python/twisted-17.1.0[crypt,${PYTHON_USEDEP}]
- >=dev-python/zope-interface-4.4.2[${PYTHON_USEDEP}]
- geoip? ( dev-python/geoip-python[${PYTHON_USEDEP}] )
- gtk? (
- sound? ( dev-python/pygame[${PYTHON_USEDEP}] )
- dev-python/pygobject:3[${PYTHON_USEDEP}]
- gnome-base/librsvg
- libnotify? ( x11-libs/libnotify )
- )
- net-libs/libtorrent-rasterbar[python,${PYTHON_USEDEP}]
- dev-python/mako[${PYTHON_USEDEP}]"
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/chardet[${PYTHON_MULTI_USEDEP}]
+ dev-python/distro[${PYTHON_MULTI_USEDEP}]
+ dev-python/pillow[${PYTHON_MULTI_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_MULTI_USEDEP}]
+ dev-python/pyxdg[${PYTHON_MULTI_USEDEP}]
+ dev-python/rencode[${PYTHON_MULTI_USEDEP}]
+ dev-python/setproctitle[${PYTHON_MULTI_USEDEP}]
+ dev-python/six[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/twisted-17.1.0[crypt,${PYTHON_MULTI_USEDEP}]
+ >=dev-python/zope-interface-4.4.2[${PYTHON_MULTI_USEDEP}]
+ geoip? ( dev-python/geoip-python[${PYTHON_MULTI_USEDEP}] )
+ gtk? (
+ sound? ( dev-python/pygame[${PYTHON_MULTI_USEDEP}] )
+ dev-python/pygobject:3[${PYTHON_MULTI_USEDEP}]
+ gnome-base/librsvg
+ libnotify? ( x11-libs/libnotify )
+ )
+ net-libs/libtorrent-rasterbar[python,${PYTHON_MULTI_USEDEP}]
+ dev-python/mako[${PYTHON_MULTI_USEDEP}]
+ ')"
PATCHES=(
"${FILESDIR}/${PN}-2.0.3-setup.py.patch"
diff --git a/net-p2p/deluge/deluge-2.0.3-r3.ebuild
b/net-p2p/deluge/deluge-2.0.3-r5.ebuild
similarity index 77%
rename from net-p2p/deluge/deluge-2.0.3-r3.ebuild
rename to net-p2p/deluge/deluge-2.0.3-r5.ebuild
index 8b3cbf5b4f9..3cdc92e94de 100644
--- a/net-p2p/deluge/deluge-2.0.3-r3.ebuild
+++ b/net-p2p/deluge/deluge-2.0.3-r5.ebuild
@@ -27,31 +27,36 @@ REQUIRED_USE="
sound? ( gtk )
"
-DEPEND="net-libs/libtorrent-rasterbar[python,${PYTHON_USEDEP}]
- dev-python/setuptools[${PYTHON_USEDEP}]
+DEPEND="
+ $(python_gen_cond_dep '
+ net-libs/libtorrent-rasterbar[python,${PYTHON_MULTI_USEDEP}]
+ dev-python/wheel[${PYTHON_MULTI_USEDEP}]
+ ')
dev-util/intltool
- dev-python/wheel[${PYTHON_USEDEP}]
acct-group/deluge
acct-user/deluge"
-RDEPEND="dev-python/chardet[${PYTHON_USEDEP}]
- dev-python/distro[${PYTHON_USEDEP}]
- dev-python/pillow[${PYTHON_USEDEP}]
- dev-python/pyopenssl[${PYTHON_USEDEP}]
- dev-python/pyxdg[${PYTHON_USEDEP}]
- dev-python/rencode[${PYTHON_USEDEP}]
- dev-python/setproctitle[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
- >=dev-python/twisted-17.1.0[crypt,${PYTHON_USEDEP}]
- >=dev-python/zope-interface-4.4.2[${PYTHON_USEDEP}]
- geoip? ( dev-python/geoip-python[${PYTHON_USEDEP}] )
- gtk? (
- sound? ( dev-python/pygame[${PYTHON_USEDEP}] )
- dev-python/pygobject:3[${PYTHON_USEDEP}]
- gnome-base/librsvg
- libnotify? ( x11-libs/libnotify )
- )
- net-libs/libtorrent-rasterbar[python,${PYTHON_USEDEP}]
- dev-python/mako[${PYTHON_USEDEP}]"
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/chardet[${PYTHON_MULTI_USEDEP}]
+ dev-python/distro[${PYTHON_MULTI_USEDEP}]
+ dev-python/pillow[${PYTHON_MULTI_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_MULTI_USEDEP}]
+ dev-python/pyxdg[${PYTHON_MULTI_USEDEP}]
+ dev-python/rencode[${PYTHON_MULTI_USEDEP}]
+ dev-python/setproctitle[${PYTHON_MULTI_USEDEP}]
+ dev-python/six[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/twisted-17.1.0[crypt,${PYTHON_MULTI_USEDEP}]
+ >=dev-python/zope-interface-4.4.2[${PYTHON_MULTI_USEDEP}]
+ geoip? ( dev-python/geoip-python[${PYTHON_MULTI_USEDEP}] )
+ gtk? (
+ sound? ( dev-python/pygame[${PYTHON_MULTI_USEDEP}] )
+ dev-python/pygobject:3[${PYTHON_MULTI_USEDEP}]
+ gnome-base/librsvg
+ libnotify? ( x11-libs/libnotify )
+ )
+ net-libs/libtorrent-rasterbar[python,${PYTHON_MULTI_USEDEP}]
+ dev-python/mako[${PYTHON_MULTI_USEDEP}]
+ ')"
PATCHES=(
"${FILESDIR}/${PN}-2.0.3-setup.py.patch"
diff --git a/net-p2p/deluge/deluge-9999.ebuild
b/net-p2p/deluge/deluge-9999.ebuild
index d1806e7558e..9bf5ba2d72b 100644
--- a/net-p2p/deluge/deluge-9999.ebuild
+++ b/net-p2p/deluge/deluge-9999.ebuild
@@ -27,31 +27,36 @@ REQUIRED_USE="
sound? ( gtk )
"
-DEPEND="net-libs/libtorrent-rasterbar[python,${PYTHON_USEDEP}]
- dev-python/setuptools[${PYTHON_USEDEP}]
+DEPEND="
+ $(python_gen_cond_dep '
+ net-libs/libtorrent-rasterbar[python,${PYTHON_MULTI_USEDEP}]
+ dev-python/wheel[${PYTHON_MULTI_USEDEP}]
+ ')
dev-util/intltool
- dev-python/wheel[${PYTHON_USEDEP}]
acct-group/deluge
acct-user/deluge"
-RDEPEND="dev-python/chardet[${PYTHON_USEDEP}]
- dev-python/distro[${PYTHON_USEDEP}]
- dev-python/pillow[${PYTHON_USEDEP}]
- dev-python/pyopenssl[${PYTHON_USEDEP}]
- dev-python/pyxdg[${PYTHON_USEDEP}]
- dev-python/rencode[${PYTHON_USEDEP}]
- dev-python/setproctitle[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
- >=dev-python/twisted-17.1.0[crypt,${PYTHON_USEDEP}]
- >=dev-python/zope-interface-4.4.2[${PYTHON_USEDEP}]
- geoip? ( dev-python/geoip-python[${PYTHON_USEDEP}] )
- gtk? (
- sound? ( dev-python/pygame[${PYTHON_USEDEP}] )
- dev-python/pygobject:3[${PYTHON_USEDEP}]
- gnome-base/librsvg
- libnotify? ( x11-libs/libnotify )
- )
- net-libs/libtorrent-rasterbar[python,${PYTHON_USEDEP}]
- dev-python/mako[${PYTHON_USEDEP}]"
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/chardet[${PYTHON_MULTI_USEDEP}]
+ dev-python/distro[${PYTHON_MULTI_USEDEP}]
+ dev-python/pillow[${PYTHON_MULTI_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_MULTI_USEDEP}]
+ dev-python/pyxdg[${PYTHON_MULTI_USEDEP}]
+ dev-python/rencode[${PYTHON_MULTI_USEDEP}]
+ dev-python/setproctitle[${PYTHON_MULTI_USEDEP}]
+ dev-python/six[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/twisted-17.1.0[crypt,${PYTHON_MULTI_USEDEP}]
+ >=dev-python/zope-interface-4.4.2[${PYTHON_MULTI_USEDEP}]
+ geoip? ( dev-python/geoip-python[${PYTHON_MULTI_USEDEP}] )
+ gtk? (
+ sound? ( dev-python/pygame[${PYTHON_MULTI_USEDEP}] )
+ dev-python/pygobject:3[${PYTHON_MULTI_USEDEP}]
+ gnome-base/librsvg
+ libnotify? ( x11-libs/libnotify )
+ )
+ net-libs/libtorrent-rasterbar[python,${PYTHON_MULTI_USEDEP}]
+ dev-python/mako[${PYTHON_MULTI_USEDEP}]
+ ')"
PATCHES=(
"${FILESDIR}/${PN}-2.0.3-setup.py.patch"